Download it now!
Bug 128046 - List hierachy not maintained on copy'n'paste
Summary: List hierachy not maintained on copy'n'paste
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0 all versions
Hardware: All All
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.5.0 target:6.4.1
Keywords: bibisected, bisected, regression
: 117569 119216 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-10-09 10:37 UTC by Michael Weghorn
Modified: 2020-01-24 11:22 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file with an indented list (12.97 KB, application/vnd.oasis.opendocument.presentation)
2019-10-09 10:37 UTC, Michael Weghorn
Details
Screenshot showin the result after pasting (3.11 MB, image/png)
2019-10-09 10:38 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2019-10-09 10:37:10 UTC
Created attachment 154858 [details]
Sample file with an indented list

When copying and pasting a list that uses several levels of indentation, the inserted list doesn't maintain the original indentation level, but puts all list items on top level.

Steps to reproduce:

1) open attached document bullet_hierarchy.odp in Impress
2) click into the content field and select all text, e.g. by pressing Ctrl+A
3) Copy (Ctrl+C)
4) Move cursor to the end
5) Paste (Ctrl+V)

Result:

The list items are copied, but their previous indentation is gone, all of them are on the top level now.

Expected result:

Indentation levels should stay for pasted version as well.
Comment 1 Michael Weghorn 2019-10-09 10:38:03 UTC
Created attachment 154859 [details]
Screenshot showin the result after pasting

Version used:

Version: 6.4.0.0.alpha0+
Build ID: 58599816d7a2898ea54edb57ae320ebbfd5298b4
CPU threads: 4; OS: Linux 5.2; UI render: default; VCL: kf5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Michael Weghorn 2019-10-09 10:44:24 UTC
I bibisected this. There are two changes in behaviour from the "works as expected" to the current behaviour:

1) change from "works as expected" (i.e. indentation levels remain on copying) to "no outline level for anything" (i.e. only text is pasted) was introduced by:

author	Varun Dhall <varun.dhall@studentpartner.com>	2017-07-13 00:36:46 +0530
committer	Michael Stahl <mstahl@redhat.com>	2017-07-12 23:28:06 +0200
commit	e333183d4390da0b17a55f214e2b953dbb0a8883 (patch)
tree	680493fcca8e2a8239838db841cd623c2cedf1d3
parent	b392208dde22edbcba36fe516ac114284a111728 (diff)
EditEngine: Making ODF Format Default for Copy/Paste

Bisected with: bibisect-linux64-6.0

Adding Cc: to Varun Dhall


2) change from "no outline level for anything" (i.e. only text is pasted) to "everything on top level" (i.e. a partial fix) was introduced by:

commit 2ebda414bfc5b4961ddb41e5512de215476a31a2
Author: Eike Rathke <erack@redhat.com>
Date:   Fri Mar 2 20:31:48 2018 +0100

    Resolves: tdf#114675 return new EditPaM of insert position from SvxReadXML()
    
    Change-Id: I77027d74a0addaafaf19e2c2a8e9759d560951eb
    (cherry picked from commit a44e62b82c7598471da9a5254953067613806337)
    Reviewed-on: https://gerrit.libreoffice.org/50646
    Tested-by: Jenkins <ci@libreoffice.org>
    Reviewed-by: Michael Stahl <mstahl@redhat.com>
Comment 3 raal 2019-10-09 13:25:52 UTC
Confirm with Version: 6.4.0.0.alpha0+ (x64)
Build ID: 25ca657f8d0f1febaf0d5984bc862f3072ad197b
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win;
Comment 4 Xisco Faulí 2020-01-17 17:41:33 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2020-01-17 17:55:27 UTC
*** Bug 117569 has been marked as a duplicate of this bug. ***
Comment 6 Xisco Faulí 2020-01-17 17:57:40 UTC
*** Bug 119216 has been marked as a duplicate of this bug. ***
Comment 7 Commit Notification 2020-01-23 14:02:50 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/66ed51712bb323bba7d1a0b0d21b256e5f5f9ccf

tdf#128046: preserve list levels on paste

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-01-24 10:03:12 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/9699108e60698355054d68a3da5a3e84913248cf

tdf#128046: preserve list levels on paste

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-01-24 11:22:23 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 6b4fe3e44b4daa89fef6a3385919b00472eaed60
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Bubli, thanks for fixing this issue!!